Skip to main content
GET
/
v1
/
stock
/
revenue-estimate
Get Revenue Estimates
curl --request GET \
  --url https://api.aries.com/v1/stock/revenue-estimate \
  --header 'Authorization: Bearer <token>'
{
  "revenueEstimates": {
    "data": [
      {
        "revenueAvg": 136963997696,
        "revenueHigh": 143836995584,
        "revenueLow": 13001984,
        "numberAnalysts": 25,
        "period": "2027-09-30",
        "year": 2027,
        "quarter": 4
      },
      {
        "revenueAvg": 100541997056,
        "revenueHigh": 103684997120,
        "revenueLow": 97506000000,
        "numberAnalysts": 25,
        "period": "2027-06-30",
        "year": 2027,
        "quarter": 3
      },
      {
        "revenueAvg": 94224998400,
        "revenueHigh": 96551002112,
        "revenueLow": 90791997440,
        "numberAnalysts": 25,
        "period": "2027-03-31",
        "year": 2027,
        "quarter": 2
      }
    ],
    "symbol": "AAPL",
    "freq": "quarterly"
  }
}

Documentation Index

Fetch the complete documentation index at: https://finance.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Query Parameters

symbol
string
required

Stock ticker symbol. Required.

Example:

"AAPL"

freq
string

Frequency: annual or quarterly

Example:

"quarterly"

Response

Successful response

revenueEstimates
object